org.apache.solr.handler

## Class CdcrParams

- java.lang.Object
- - org.apache.solr.handler.CdcrParams

-     public class CdcrParams
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CdcrParams.BufferState` The possible states of the CDCR buffer
    `static class` | `CdcrParams.CdcrAction` The actions supported by the CDCR API
    `static class` | `CdcrParams.ProcessState` The possible states of the CDCR process

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BATCH_SIZE_PARAM` The batch size of the replicator *
    `static String` | `BUFFER_PARAM` The definition of the `CdcrBufferManager` configuration *
    `static String` | `CHECKPOINT` The latest update checkpoint on a target cluster *
    `static String` | `CONSECUTIVE_ERRORS` Counter for consecutive errors encountered by a replicator thread *
    `static String` | `COUNTER_ADDS` Counter for Adds *
    `static String` | `COUNTER_ALL` Overall counter *
    `static String` | `COUNTER_BOOTSTRAP` Counter for Bootstrap operations *
    `static String` | `COUNTER_DELETES` Counter for Deletes *
    `static String` | `DEFAULT_STATE_PARAM` The default state at startup of the buffer *
    `static String` | `ERRORS` A list of errors per target collection *
    `static String` | `LAST` A list of the last errors encountered by a replicator thread *
    `static String` | `LAST_PROCESSED_VERSION` The last processed version on a source cluster *
    `static String` | `LAST_TIMESTAMP` The timestamp of the last processed operation in a replica queue *
    `static String` | `OPERATIONS_PER_SECOND` A list of qps statistics per collection *
    `static String` | `QUEUE_SIZE` The size of a replica queue on a source cluster *
    `static String` | `QUEUES` A list of replica queues on a source cluster *
    `static String` | `REPLICA_PARAM` The definition of a replica configuration *
    `static String` | `REPLICATOR_PARAM` The definition of the `CdcrReplicatorScheduler` configuration *
    `static String` | `SCHEDULE_PARAM` The time schedule (in ms) of the replicator *
    `static String` | `SOURCE_COLLECTION_PARAM` The source collection of a replica *
    `static String` | `TARGET_COLLECTION_PARAM` The target collection of a replica *
    `static String` | `THREAD_POOL_SIZE_PARAM` The thread pool size of the replicator *
    `static String` | `TLOG_TOTAL_COUNT` Total count of transaction logs *
    `static String` | `TLOG_TOTAL_SIZE` Total size of transaction logs *
    `static String` | `UPDATE_LOG_SYNCHRONIZER` The state of the update log synchronizer *
    `static String` | `UPDATE_LOG_SYNCHRONIZER_PARAM` The definition of the `CdcrUpdateLogSynchronizer` configuration *
    `static String` | `ZK_HOST_PARAM` The Zookeeper host of the target cluster hosting the replica *

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CdcrParams()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPLICA_PARAM

          public static final String REPLICA_PARAM

      The definition of a replica configuration *
      See Also:
        Constant Field Values

    - #### SOURCE_COLLECTION_PARAM

          public static final String SOURCE_COLLECTION_PARAM

      The source collection of a replica *
      See Also:
        Constant Field Values

    - #### TARGET_COLLECTION_PARAM

          public static final String TARGET_COLLECTION_PARAM

      The target collection of a replica *
      See Also:
        Constant Field Values

    - #### ZK_HOST_PARAM

          public static final String ZK_HOST_PARAM

      The Zookeeper host of the target cluster hosting the replica *
      See Also:
        Constant Field Values

    - #### REPLICATOR_PARAM

          public static final String REPLICATOR_PARAM

      The definition of the `CdcrReplicatorScheduler` configuration *
      See Also:
        Constant Field Values

    - #### THREAD_POOL_SIZE_PARAM

          public static final String THREAD_POOL_SIZE_PARAM

      The thread pool size of the replicator *
      See Also:
        Constant Field Values

    - #### SCHEDULE_PARAM

          public static final String SCHEDULE_PARAM

      The time schedule (in ms) of the replicator *
      See Also:
        Constant Field Values

    - #### BATCH_SIZE_PARAM

          public static final String BATCH_SIZE_PARAM

      The batch size of the replicator *
      See Also:
        Constant Field Values

    - #### UPDATE_LOG_SYNCHRONIZER_PARAM

          public static final String UPDATE_LOG_SYNCHRONIZER_PARAM

      The definition of the `CdcrUpdateLogSynchronizer` configuration *
      See Also:
        Constant Field Values

    - #### BUFFER_PARAM

          public static final String BUFFER_PARAM

      The definition of the `CdcrBufferManager` configuration *
      See Also:
        Constant Field Values

    - #### DEFAULT_STATE_PARAM

          public static final String DEFAULT_STATE_PARAM

      The default state at startup of the buffer *
      See Also:
        Constant Field Values

    - #### CHECKPOINT

          public static final String CHECKPOINT

      The latest update checkpoint on a target cluster *
      See Also:
        Constant Field Values

    - #### LAST_PROCESSED_VERSION

          public static final String LAST_PROCESSED_VERSION

      The last processed version on a source cluster *
      See Also:
        Constant Field Values

    - #### QUEUES

          public static final String QUEUES

      A list of replica queues on a source cluster *
      See Also:
        Constant Field Values

    - #### QUEUE_SIZE

          public static final String QUEUE_SIZE

      The size of a replica queue on a source cluster *
      See Also:
        Constant Field Values

    - #### LAST_TIMESTAMP

          public static final String LAST_TIMESTAMP

      The timestamp of the last processed operation in a replica queue *
      See Also:
        Constant Field Values

    - #### OPERATIONS_PER_SECOND

          public static final String OPERATIONS_PER_SECOND

      A list of qps statistics per collection *
      See Also:
        Constant Field Values

    - #### COUNTER_ALL

          public static final String COUNTER_ALL

      Overall counter *
      See Also:
        Constant Field Values

    - #### COUNTER_ADDS

          public static final String COUNTER_ADDS

      Counter for Adds *
      See Also:
        Constant Field Values

    - #### COUNTER_DELETES

          public static final String COUNTER_DELETES

      Counter for Deletes *
      See Also:
        Constant Field Values

    - #### COUNTER_BOOTSTRAP

          public static final String COUNTER_BOOTSTRAP

      Counter for Bootstrap operations *
      See Also:
        Constant Field Values

    - #### ERRORS

          public static final String ERRORS

      A list of errors per target collection *
      See Also:
        Constant Field Values

    - #### CONSECUTIVE_ERRORS

          public static final String CONSECUTIVE_ERRORS

      Counter for consecutive errors encountered by a replicator thread *
      See Also:
        Constant Field Values

    - #### LAST

          public static final String LAST

      A list of the last errors encountered by a replicator thread *
      See Also:
        Constant Field Values

    - #### TLOG_TOTAL_SIZE

          public static final String TLOG_TOTAL_SIZE

      Total size of transaction logs *
      See Also:
        Constant Field Values

    - #### TLOG_TOTAL_COUNT

          public static final String TLOG_TOTAL_COUNT

      Total count of transaction logs *
      See Also:
        Constant Field Values

    - #### UPDATE_LOG_SYNCHRONIZER

          public static final String UPDATE_LOG_SYNCHRONIZER

      The state of the update log synchronizer *
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CdcrParams

          public CdcrParams()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.